
Redmine - Defect #6627

missing "add new file" in Files section

2010-10-11 16:19 - Mike Lu

Status: Closed Start date: 2010-10-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

after upgraded to 1.0.2, i found that i could no longer upload files in Files section since the link to upload new file is missing; however,

uploading via attachment is still working.

Related issues:

Is duplicate of Redmine - Defect #6513: "Move" and "Copy" are not displayed w... Closed 2010-09-28

Associated revisions

Revision 4268 - 2010-10-22 16:45 - Jean-Philippe Lang

Fixed: "Add file" link broken by recent refactoring (#6627).

History

#1 - 2010-10-11 18:33 - Holger Just

Make sure the user you are testing with has the "Manage Files" permission in the respective project.

Apart from that, I can not reproduce this issue.

#2 - 2010-10-12 05:25 - Mike Lu

yes, user permission i'm testing could "Manage Files". another evidence is that "Delete" button has shown up. i had modified the source so that files

could be uploaded to configured folder, i'll try to remove the modification to see if the problem is caused by that.

#3 - 2010-10-12 05:39 - Mischa The Evil

I'm not able to reproduce this behaviour on a clean checkout of 1.0-stable.

The issue is indeed most likely caused by some core-modifications...

#4 - 2010-10-12 06:40 - Xagyg Wulf

My upgrade reset role permissions. Re-checking "manage files" etc. fixed the problem. Just pointing this out here in case you weren't aware of that.

#5 - 2010-10-12 08:29 - Holger Just

- Status changed from New to Closed

- Resolution set to Cant reproduce

As this was resolved by removing core changes, I'm closing this issue.

#6 - 2010-10-12 18:36 - Mike Lu

- Status changed from Closed to Reopened

sorry that i didn't clearly list my environment, the version of my redmine should be trunk version on windows with apache2 and is served in a sub-URI

"/redmine". and the user i tested with has checked to have "manage files" permission.

i have found the cause that as long as redmine is started in a sub-URI, the link of "New file" would be missing, with my modified version or with a

clean checkout of trunk (r4249)

i have tried both thin and mongrel server that all showed up the same result:

1. added Redmine::Utils::relative_url_root = "/redmine" to the bottom of environment.rb, after the last end statement

2. started the server with command thin start -e production or ruby script/server start -e production
3. link was missing in Files section

4. applied the test on clean checkout and the link was also missing

but if i

1. reverted the modification in environment.rb (no Redmine::Utils::relative_url_root = "/redmine" at the end)

2. start the server with command thin start -e production or ruby script/server start -e production

3. link showed up

4. applied the test on clean checkout and the link also showed up

so i don't think to problem is caused by my modification or my environment

#7 - 2010-10-12 23:10 - Felix Schäfer

- Affected version (unused) changed from 1.0.2 to devel

- Affected version deleted (1.0.2)

Ah, I think that's one of Eric's refactors gone south. I think I had a solution up for that, though it seems it hasn't been added to trunk yet. I'll try to find it

and poke him long enough that he commits it.

#8 - 2010-10-13 02:34 - Felix Schäfer

See if #6513 solves this for you, I think it's the same issue.

#9 - 2010-10-16 03:05 - Mike Lu

like what Eric has done in r4258, with modification in r4257, revision r3616 should also be partially reverted to solve this problem, and some other

revisions, too, to solve #6650

#10 - 2010-10-16 03:36 - Mike Lu

problem solved after backout the whole r3616

#11 - 2010-10-22 16:39 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution changed from Cant reproduce to Fixed

Fixed in r4268.
